#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n, br = -1;
    long long l, h;
    cin >> n >> l;
    bool b = true;
    
    for (int i = 1; i <= n; i++){
        cin >> h;
        if (h <= l && b){
            br = i;
            b = false;
        }
    }
    cout << br;
}